Subject: bug#21665: Use of mmap for large files

From: Maurice van der Pot <[email-masked]>
Date: Sun, 11 Oct 2015 15:42:03 +0200

I am working on an application suitable for visually merging large files.
This application delegates determination of differences to GNU diff.

Unfortunately I have found that diff reads the entire input files into
memory, leading to "/usr/bin/diff: memory exhausted" messages on the
types of files I'd like to support.

Would you be open to patches that enable diffing large files by using
mmap?

Kind regards,
Maurice.

-- 
Maurice van der Pot

Kdiff3 developer   [email-masked]   http://kdiff3.sourceforge.net
Tdiff3 developer                            https://github.com/Griffon26/tdiff3